<?php
namespace Home\Controller;
use Think\Controller;
use Lib\Alidayu\SendMSM;
class ApplyController extends CoreController {
	/**
	 * [index 载入首页模板]
	 * @method   index
	 * @Author   Amen[233713821@qq.com]
	 * @DateTime 2016-05-23T16:22:55+0800
	 * @return   [type]                   [description]
	 */
	public function index(){
		$this->display();
	}

	/**
	 * [reg 用户注册第一步]
	 * @method   reg
	 * @Author   Amen[233713821@qq.com]
	 * @DateTime 2016-05-23T16:23:01+0800
	 * @return   [type]                   [description]
	 */
	public function reg(){
		// 如果有SESSION reg 跳转至注册第二步
		if(session('reg')) $this->redirect('reg2');
		// 如果用户有提交信息
		if(IS_POST){
			// 是否同意会员协议
			//if(I(agreement)!='y') $this->error('必须同意并遵守会员协议!');
			// 接收POST过来的值

			$User = D('Admin'); 	// 实例化User对象
			$data =	$User->create();

			if (!$User->create()) {
                // 如果创建失败 表示验证没有通过 输出错误提示信息
				$this->error($User->getError());
			} else {
				if($id=$User->add()){
					M('admin')->where(array('id'=>$id))->setInc('type',1);

					M('admin')->where(array('id'=>$id))->save(['jiedai'=>session('admin.nickname')]);

					//设置激活码
					$jihuoma=I('jihuoma');
					M('card_pt')->where(array('card'=>$jihuoma))->save(['shiyong'=>'1','syr'=>I('nickname'),'jiedai'=>session('admin.nickname')]);
					// 给推荐人计数
					// 获得推荐人ID
					if($tuijian=M('admin')->where(array('nickname'=>I('tuijian')))->find()){
						M('admin')->where(array('id'=>$tuijian['id']))->setInc('tuijianjs',1);
						M('admin_goldlogs')->add(array('uid'=>$tuijian['id'],'type'=>2,'note'=>'用户:'.I('nickname').' 注册 未激活 金币增加0'.'，by Admin','time'=>time()));
						// tuijianjs($tuijian['id']);
					}
					// $wherewxdz['id']=array('neq',$tuijian['id']);
					if($wxduizhang=M('admin')->where(array('xiaodui'=>$tuijian['xiaodui'],'job'=>6,))->field('id')->find()){
						// M('admin')->where(array('id'=>$wxduizhang['id']))->setInc('tuijianjs',1);
						M('admin_goldlogs')->add(array('uid'=>$wxduizhang['id'],'type'=>2,'note'=>'用户:'.I('nickname').' 注册 未激活 金币增加0 推荐人:'.I('tuijian').'，by Admin','time'=>time()));
						// tuijianjs($wxduizhang['id']);
					}
					if($wxzuzhang=M('admin')->where(array('xiaozu'=>$tuijian['xiaozu'],'job'=>3))->field('id')->find()){
						// M('admin')->where(array('id'=>$wxzuzhang['id']))->setInc('tuijianjs',1);
						M('admin_goldlogs')->add(array('uid'=>$wxzuzhang['id'],'type'=>2,'note'=>'用户:'.I('nickname').' 注册 未激活 金币增加0 推荐人:'.I('tuijian').'，by Admin','time'=>time()));
						// tuijianjs($wxzuzhang['id']);
					}
					if($tuanzhang=M('admin')->where(array('tuandui'=>$tuijian['tuandui'],'job'=>1))->field('id')->find()){
						// M('admin')->where(array('id'=>$tuanzhang['id']))->setInc('tuijianjs',1);
						M('admin_goldlogs')->add(array('uid'=>$tuanzhang['id'],'type'=>2,'note'=>'用户:'.I('nickname').' 注册 未激活 金币增加0 推荐人:'.I('tuijian').'，by Admin','time'=>time()));
						// tuijianjs($tuanzhang['id']);
					}
					record("1");					
					$this->display('success');
				}else{
					$this->error(C('MSG'));
				}
			}
		}else{

			$this->display();
			// $key=makekey(I('get.key'),1);

			// if(!$key){
			// 	$this->display('error');
			// }else{
			// 	$this->assign('key',$key)->display();
			// }
		}
	}
	// /**
	//  * [reg_ver 等待审核页面]
	//  * @method   reg2
	//  * @Author   Amen[233713821@qq.com]
	//  * @DateTime 2016-05-23T15:14:01+0800
	//  * @return   [type]                   [description]
	//  */
	// public function reg2(){
	// 	if(!session('reg')) $this->redirect('reg');
	// 	if(IS_POST){
	// 		$data = array(
	// 			'truename' => I('truename'), 
	// 			'tuijian' => I('xuanchuan'),
	// 			'info' => array(
	// 				'sex' => I('sex'),
	// 				'year' => I('year'),
	// 				'edu' => I('edu'), 
	// 				'phone' => I('phone'), 
	// 				'qq' => I('qq'), 
	// 				'alipay' => I('alipay'),
	// 				'qt' => I('qt'),
	// 				),
	// 			);
	// 		$User = D('Admin'); // 实例化User对象
	// 		if (!$User->relation(true)->create()) {
 //                // 如果创建失败 表示验证没有通过 输出错误提示信息
	// 			$this->error($User->getError());
	// 		} else {
	// 			$User->relation(true)->where(array('id'=>session('reg')))->save($data);
	// 			$this->success('修改成功！请耐心等待审核','reg2');
	// 		}
	// 	}elseif(I('get.again')){
	// 		$id=session('reg');
	// 		D('Admin')->relation(true)->where(array('id'=>$id))->delete();
	// 		session('reg',null);
	// 		$this->redirect('reg');
	// 	}else{
	// 		// die();
	// 		$user=D('Admin');
	// 		$u=$user->relation(true)->where(array('id'=>session('reg')))->find();
	// 		if($u['type']==1)
	// 			$this->redirect('reg3');
	// 		$this->assign('u',$u)->display();
	// 	}
	// }
	// /**
	//  * [reg3 审核通过页面]
	//  * @method   reg3
	//  * @Author   Amen[233713821@qq.com]
	//  * @DateTime 2016-05-23T21:29:16+0800
	//  * @return   [type]                   [description]
	//  */
	// public function reg3(){
	// 	if(!session('reg')) $this->redirect('reg');
	// 	$user=D('Admin');
	// 	$u=$user->relation(true)->where(array('id'=>session('reg')))->find();
	// 	if($u['type']==0)
	// 		$this->redirect('reg2');
	// 	if($u['jiedai'])
	// 		exit('恭喜，审核通过，请<a href="../Activate/index" target="_blank">激活</a>');
	// 	$this->display();
	// }


	/**
	 * [agreement 会员协议模板]
	 * @method   agreement
	 * @Author   Amen[233713821@qq.com]
	 * @DateTime 2016-05-24T08:48:40+0800
	 * @return   [type]                   [description]
	 */
	public function agreement(){
		$this->display();
	}


	public function amen(){
		$this->display('success');
	}

	public function mm(){
		$this->display();
	}
	/**
	 * [handle 表单AJAX验证]
	 * @method   handle
	 * @Author   Amen[233713821@qq.com]
	 * @DateTime 2016-05-23T15:07:49+0800
	 * @return   [type]                   [description]
	 */
	public function handle(){
		if(!IS_AJAX) $this->error('页面不存在！');
		$name=I('name');
		$param=I('param');
		switch ($name) {
			case 'nickname':
			if(nickname($param)){
				$r=array('info'=>"通过信息验证！",'status'=>"y");
			}else{
				$r=array('info'=>"验证失败！昵称被占用或非法",'status'=>"x");
			}
			break;
			case 'tuijian':
			if(xuanchuan($param)){ 
				$r=array('info'=>"通过信息验证！",'status'=>"y");
			}else{
				$r=array('info'=>"验证失败！推广人不存在",'status'=>"x");
			}
			break;
			case 'cash':
			if(cash($param)){
				$r=array('info'=>yuji($param),'status'=>"y");
			}else{
				$r=array('info'=>"余额不足",'status'=>"x");
			}
			break;
			case 'pass':
			if(M('admin')->where(array('password'=>md5($param),'id'=>session('user.id')))->find()){
				$r=array('info'=>"通过验证！",'status'=>"y");
			}else{
				$r=array('info'=>"旧密码错误",'status'=>"x");
			}
			break;
			case 'anquan':
			$pwd=M('admin')->where(array('id'=>session('user.id')))->find();
			if($pwd['password']!=md5($param)){
				$r=array('info'=>"通过验证！",'status'=>"y");
			}else{
				$r=array('info'=>'密码和安全码不可相同','status'=>"x");
			}
			break;
			case 'aqpwd':
			if(M('admin')->where(array('anquan'=>md5($param),'id'=>session('user.id')))->find()){
				$r=array('info'=>"通过验证！",'status'=>"y");
			}else{
				$r=array('info'=>"旧提现密码错误",'status'=>"x");
			}
			break;
			case 'tixian':
			if(M('admin')->where(array('anquan'=>md5($param),'id'=>session('user.id')))->find()){
				$r=array('info'=>"通过验证！",'status'=>"y");
			}else{
				$r=array('info'=>"提现密码错误",'status'=>"x");
			}
			break;
			case 'jihuoma':
			$card = M('card_pt')->where(array('card'=>$param))->find();
			if($card){
				if ($card['shiyong'] == 1)
				{
					$r=array('info'=>"该激活码已被使用",'status'=>"x");
				}
				else{
					$r=array('info'=>"通过验证！",'status'=>"y");
				}
			}else{
				$r=array('info'=>"该激活码不存在",'status'=>"x");
			}
			break;
			default:
			$r=array('info'=>"未定义",'status'=>"x");
			break;
		}
		$this->ajaxReturn($r);
	}
}